Outbound clicks
GET https://analytics.eclick.app/api/outbound-clicks/
curl --request GET \
--url 'https://analytics.eclick.app/api/outbound-clicks/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/outbound-clicks/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | |
| event_id | Optional Integer | Available when: tracking_type = normal |
| session_id | Optional Integer | Available when: tracking_type = normal |
| visitor_id | Optional Integer | Available when: tracking_type = normal |
| search | Optional String | What field are you searching by. Allowed values are: host, path, title. |
| datetime_field | Optional String | Allowed values: datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String |
What field to order the results by. Allowed values are:
outbound_click_id, event_id, session_id, visitor_id, host, path, title, datetime.Available when: event_id session_id visitor_id tracking_type = normal
|
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"host": "example.com",
"path": "/",
"title": "Example",
"datetime": "2026-07-06 15:42:52"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.eclick.app/api/outbound-clicks?website_id=1&page=1",
"last": "https://analytics.eclick.app/api/outbound-clicks?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analytics.eclick.app/api/outbound-clicks?website_id=1&page=1"
}
}
GET https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}
curl --request GET \
--url 'https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_id": 1,
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"host": "example.com",
"path": "/",
"title": "Example",
"datetime": "2026-07-06 15:42:52"
}
}
DELETE https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}
curl --request DELETE \
--url 'https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/outbound-clicks/{outbound_click_id}' \
--header 'Authorization: Bearer {api_key}' \